diff --git a/src/main/java/net/minecraft/core/entity/FishingBobberEntity.java b/src/main/java/net/minecraft/core/entity/EntityFishingBobber.java
similarity index 96%
rename from src/main/java/net/minecraft/core/entity/FishingBobberEntity.java
rename to src/main/java/net/minecraft/core/entity/EntityFishingBobber.java
index 8c02a1a67..07c83dbfb 100644
--- a/src/main/java/net/minecraft/core/entity/FishingBobberEntity.java
+++ b/src/main/java/net/minecraft/core/entity/EntityFishingBobber.java
@@ -16,7 +16,7 @@ import net.minecraft.core.util.helper.DamageType;
 
 import java.util.List;
 
-public class FishingBobberEntity extends Entity
+public class EntityFishingBobber extends Entity
 {
     public static final int ID_BOBBER_BITFIELD = 2;
     private int xTile;
@@ -36,7 +36,7 @@ public class FishingBobberEntity extends Entity
     private double velocityY;
     private double velocityZ;
 
-    public FishingBobberEntity(World world)
+    public EntityFishingBobber(World world)
     {
         super(world);
         ticksInAir = 0;
@@ -46,14 +46,14 @@ public class FishingBobberEntity extends Entity
         ignoreFrustumCheck = true;
     }
 
-    public FishingBobberEntity(World world, double x, double y, double z)
+    public EntityFishingBobber(World world, double x, double y, double z)
     {
         this(world);
         setPos(x, y, z);
         ignoreFrustumCheck = true;
     }
 
-    public FishingBobberEntity(World world, Player owner)
+    public EntityFishingBobber(World world, Player owner)
     {
         super(world);
         ticksInAir = 0;
@@ -178,8 +178,8 @@ public class FishingBobberEntity extends Entity
                     x = hookedEntity.x;
                     y = hookedEntity.bb.minY + (double) hookedEntity.bbHeight * 0.8D;
                     z = hookedEntity.z;
-                    if(hookedEntity instanceof PathfinderMob){
-                        ((PathfinderMob) hookedEntity).target = owner;
+                    if(hookedEntity instanceof MobPathfinder){
+                        ((MobPathfinder) hookedEntity).target = owner;
                     }
                     double dx = owner.x - x;
                     double dy = owner.y - y;
@@ -353,8 +353,8 @@ public class FishingBobberEntity extends Entity
     @Override
     public void remove()
     {
-        if(hookedEntity instanceof PathfinderMob){
-            ((PathfinderMob) hookedEntity).target = null;
+        if(hookedEntity instanceof MobPathfinder){
+            ((MobPathfinder) hookedEntity).target = null;
         }
         super.remove();
     }
@@ -410,7 +410,7 @@ public class FishingBobberEntity extends Entity
         }
         else if(ticksCatchable > 0)
         {
-            ItemEntity entityitem = new ItemEntity(world, x, y, z, new ItemStack(Items.FOOD_FISH_RAW));
+            EntityItem entityitem = new EntityItem(world, x, y, z, new ItemStack(Items.FOOD_FISH_RAW));
             double dx = owner.x - x;
             double dy = owner.y - y;
             double dz = owner.z - z;
diff --git a/src/main/java/net/minecraft/core/entity/ItemEntity.java b/src/main/java/net/minecraft/core/entity/EntityItem.java
similarity index 86%
rename from src/main/java/net/minecraft/core/entity/ItemEntity.java
rename to src/main/java/net/minecraft/core/entity/EntityItem.java
index 048f47f69..5cf1915b5 100644
--- a/src/main/java/net/minecraft/core/entity/ItemEntity.java
+++ b/src/main/java/net/minecraft/core/entity/EntityItem.java
@@ -13,19 +13,18 @@ import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.LogBlock;
+import net.minecraft.core.block.BlockLog;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.ItemDiscMusic;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.MusicDiscItem;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 
-public class ItemEntity extends Entity
+public class EntityItem extends Entity
 {
     private static final int LIFETIME = 6000;
     public ItemStack item;
@@ -36,7 +35,7 @@ public class ItemEntity extends Entity
     public int basketPickupDelay = 0;
     public static boolean enableItemClumping = true;
 
-    public ItemEntity(World world, double x, double y, double z, ItemStack itemstack) {
+    public EntityItem(World world, double x, double y, double z, ItemStack itemstack) {
         super(world);
         age = 0;
         health = 8;
@@ -50,7 +49,7 @@ public class ItemEntity extends Entity
         yd = 0.2D;
         zd = (float)(Math.random() * 0.2D - 0.1D);
         if(itemstack == null) {
-        	System.err.println("Created ItemEntity with no item!");
+        	System.err.println("Created EntityItem with no item!");
         	Thread.dumpStack();
         }
     }
@@ -61,7 +60,7 @@ public class ItemEntity extends Entity
         return false;
     }
 
-    public ItemEntity(World world)
+    public EntityItem(World world)
     {
         super(world);
         age = 0;
@@ -81,7 +80,7 @@ public class ItemEntity extends Entity
     {
         super.tick();
         if(item == null) {
-            System.err.println("Removing ItemEntity with no item!");
+            System.err.println("Removing EntityItem with no item!");
             Thread.dumpStack();
             remove();
             return;
@@ -208,7 +207,7 @@ public class ItemEntity extends Entity
 
 			if(item.stackSize < previousStackSize) {
 				if(item.itemID < 16384) {
-					if(Block.blocksList[item.itemID] instanceof LogBlock) {
+					if(Block.blocksList[item.itemID] instanceof BlockLog) {
 						player.triggerAchievement(Achievements.MINE_WOOD);
 					}
 				}
@@ -242,7 +241,7 @@ public class ItemEntity extends Entity
 					}
 				}
 
-                if (item.getItem() instanceof MusicDiscItem) {
+                if (item.getItem() instanceof ItemDiscMusic) {
                     if( player.getStat(Items.RECORD_13.getStat(StatList.STAT_PICKED_UP)) > 0 &&
                         player.getStat(Items.RECORD_CAT.getStat(StatList.STAT_PICKED_UP)) > 0 &&
                         player.getStat(Items.RECORD_BLOCKS.getStat(StatList.STAT_PICKED_UP)) > 0 &&
@@ -269,36 +268,36 @@ public class ItemEntity extends Entity
 
     public void clumpToNearbyStack() {
     	AABB boundingBox = this.bb.grow(0.5, 0.0, 0.5);
-    	List<Entity> entities = world.getEntitiesWithinAABB(ItemEntity.class, boundingBox);
+    	List<Entity> entities = world.getEntitiesWithinAABB(EntityItem.class, boundingBox);
     	
     	for(Entity otherEntity : entities) {
-    		if(otherEntity == this || !(otherEntity instanceof ItemEntity) || !otherEntity.isAlive() || !this.isAlive()) {
+    		if(otherEntity == this || !(otherEntity instanceof EntityItem) || !otherEntity.isAlive() || !this.isAlive()) {
     			continue;
     		}
-    		ItemEntity otherItemEntity = (ItemEntity) otherEntity;
+    		EntityItem otherEntityItem = (EntityItem) otherEntity;
     		
     		ItemStack thisItemStack = this.item;
-    		ItemStack otherItemStack = otherItemEntity.item;
+    		ItemStack otherItemStack = otherEntityItem.item;
     		
-    		if(this.item.canStackWith(otherItemEntity.item)) {
+    		if(this.item.canStackWith(otherEntityItem.item)) {
     			if(thisItemStack.stackSize + otherItemStack.stackSize > 64) {
     				continue;
     			}
     			
     			if(otherItemStack.stackSize > thisItemStack.stackSize) {
-    				combineItems(otherItemEntity, this);
+    				combineItems(otherEntityItem, this);
     			}else {
-    				combineItems(this, otherItemEntity);
+    				combineItems(this, otherEntityItem);
     			}
     		}
     	}
     }
     
-    private static void combineItems(ItemEntity itemEntity1, ItemEntity itemEntity2) {
-    	itemEntity1.item.stackSize += itemEntity2.item.stackSize;
-    	itemEntity2.item.stackSize = 0;
-    	itemEntity1.age = Math.min(itemEntity1.age, itemEntity2.age);
-    	itemEntity1.pickupDelay = Math.max(itemEntity1.pickupDelay, itemEntity2.pickupDelay);
-    	itemEntity2.remove();
+    private static void combineItems(EntityItem entityItem1, EntityItem entityItem2) {
+    	entityItem1.item.stackSize += entityItem2.item.stackSize;
+    	entityItem2.item.stackSize = 0;
+    	entityItem1.age = Math.min(entityItem1.age, entityItem2.age);
+    	entityItem1.pickupDelay = Math.max(entityItem1.pickupDelay, entityItem2.pickupDelay);
+    	entityItem2.remove();
     }
 }
diff --git a/src/main/java/net/minecraft/core/entity/LightningEntity.java b/src/main/java/net/minecraft/core/entity/EntityLightning.java
similarity index 94%
rename from src/main/java/net/minecraft/core/entity/LightningEntity.java
rename to src/main/java/net/minecraft/core/entity/EntityLightning.java
index 6c9b2afdb..25360e394 100644
--- a/src/main/java/net/minecraft/core/entity/LightningEntity.java
+++ b/src/main/java/net/minecraft/core/entity/EntityLightning.java
@@ -13,19 +13,19 @@ import java.util.List;
 
 // Referenced classes of package net.minecraft.src:
 //            EntityWeatherEffect, World, MathHelper, Block, 
-//            FireBlock, AxisAlignedBB, Entity, NBTTagCompound,
+//            BlockFire, AxisAlignedBB, Entity, NBTTagCompound,
 //            Vec3D
 
-public class LightningEntity extends Entity
+public class EntityLightning extends Entity
 {
     private int life;
     public long seed;
     private int flashes;
-    public LightningEntity(World world){
+    public EntityLightning(World world){
         this(world,0, 0, 0);
     }
 
-    public LightningEntity(World world, double x, double y, double z)
+    public EntityLightning(World world, double x, double y, double z)
     {
         super(world);
         seed = 0L;
diff --git a/src/main/java/net/minecraft/core/entity/PaintingEntity.java b/src/main/java/net/minecraft/core/entity/EntityPainting.java
similarity index 94%
rename from src/main/java/net/minecraft/core/entity/PaintingEntity.java
rename to src/main/java/net/minecraft/core/entity/EntityPainting.java
index 25efce7e9..f40331605 100644
--- a/src/main/java/net/minecraft/core/entity/PaintingEntity.java
+++ b/src/main/java/net/minecraft/core/entity/EntityPainting.java
@@ -17,10 +17,10 @@ import java.util.*;
 
 // Referenced classes of package net.minecraft.src:
 //            Entity, ArtType, AxisAlignedBB, World,
-//            ItemEntity, ItemStack, Item, MathHelper,
+//            EntityItem, ItemStack, Item, MathHelper,
 //            Material, NBTTagCompound
 
-public class PaintingEntity extends Entity
+public class EntityPainting extends Entity
 {
     public static final int DATA_ITEM_ID = 16;
     public static final int DATA_ITEM_METADATA_ID = 17;
@@ -32,7 +32,7 @@ public class PaintingEntity extends Entity
     public int blockZ;
     public ArtType art;
 
-    public PaintingEntity(World world)
+    public EntityPainting(World world)
     {
         super(world);
         updateCounter = 0;
@@ -48,7 +48,7 @@ public class PaintingEntity extends Entity
         return true;
     }
 
-    public PaintingEntity(World world, int x, int y, int z, int side, String motive)
+    public EntityPainting(World world, int x, int y, int z, int side, String motive)
     {
         this(world);
         blockX = x;
@@ -153,9 +153,9 @@ public class PaintingEntity extends Entity
             if(!canStay())
             {
                 remove();
-                world.entityJoinedWorld(new ItemEntity(world, x, y, z, new ItemStack(Items.PAINTING)));
+                world.entityJoinedWorld(new EntityItem(world, x, y, z, new ItemStack(Items.PAINTING)));
                 if (getBorderStack() != null){
-                    this.world.entityJoinedWorld(new ItemEntity(this.world, this.x, this.y, this.z, getBorderStack()));
+                    this.world.entityJoinedWorld(new EntityItem(this.world, this.x, this.y, this.z, getBorderStack()));
                 }
             }
         }
@@ -213,7 +213,7 @@ public class PaintingEntity extends Entity
         List<Entity> entities = world.getEntitiesWithinAABBExcludingEntity(this, bb);
         for (Entity entity : entities)
         {
-            if (entity instanceof PaintingEntity)
+            if (entity instanceof EntityPainting)
             {
                 return false;
             }
@@ -237,9 +237,9 @@ public class PaintingEntity extends Entity
             markHurt();
             if (!(entity instanceof Player) || ((Player) entity).getGamemode().dropBlockOnBreak())
             {
-                world.entityJoinedWorld(new ItemEntity(world, x, y, z, new ItemStack(Items.PAINTING)));
+                world.entityJoinedWorld(new EntityItem(world, x, y, z, new ItemStack(Items.PAINTING)));
                 if (getBorderStack() != null){
-                    this.world.entityJoinedWorld(new ItemEntity(this.world, this.x, this.y, this.z, getBorderStack()));
+                    this.world.entityJoinedWorld(new EntityItem(this.world, this.x, this.y, this.z, getBorderStack()));
                 }
             }
             world.playBlockSoundEffect(null, this.x, this.y + heightOffset, this.z, Blocks.PLANKS_OAK, EnumBlockSoundEffectType.MINE);
@@ -290,7 +290,7 @@ public class PaintingEntity extends Entity
         if(!world.isClientSide && xd * xd + yd * yd + zd * zd > 0.0D)
         {
             remove();
-            world.entityJoinedWorld(new ItemEntity(world, x, y, z, new ItemStack(Items.PAINTING)));
+            world.entityJoinedWorld(new EntityItem(world, x, y, z, new ItemStack(Items.PAINTING)));
         }
     }
 
@@ -300,7 +300,7 @@ public class PaintingEntity extends Entity
         if(!world.isClientSide && x * x + y * y + z * z > 0.0D)
         {
             remove();
-            world.entityJoinedWorld(new ItemEntity(world, this.x, this.y, this.z, new ItemStack(Items.PAINTING)));
+            world.entityJoinedWorld(new EntityItem(world, this.x, this.y, this.z, new ItemStack(Items.PAINTING)));
         }
     }
 
diff --git a/src/main/java/net/minecraft/core/entity/TNTPrimedEntity.java b/src/main/java/net/minecraft/core/entity/EntityPrimedTNT.java
similarity index 93%
rename from src/main/java/net/minecraft/core/entity/TNTPrimedEntity.java
rename to src/main/java/net/minecraft/core/entity/EntityPrimedTNT.java
index 760af4625..d0f85b1f5 100644
--- a/src/main/java/net/minecraft/core/entity/TNTPrimedEntity.java
+++ b/src/main/java/net/minecraft/core/entity/EntityPrimedTNT.java
@@ -8,11 +8,11 @@ import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
 
-public class TNTPrimedEntity extends Entity
+public class EntityPrimedTNT extends Entity
 {
     public int fuse;
 
-    public TNTPrimedEntity(World world)
+    public EntityPrimedTNT(World world)
     {
         super(world);
         fuse = 0;
@@ -21,7 +21,7 @@ public class TNTPrimedEntity extends Entity
         heightOffset = bbHeight / 2.0F;
     }
 
-    public TNTPrimedEntity(World world, double x, double y, double z)
+    public EntityPrimedTNT(World world, double x, double y, double z)
     {
         this(world);
         setPos(x, y, z);
diff --git a/src/main/java/net/minecraft/core/entity/Mob.java b/src/main/java/net/minecraft/core/entity/Mob.java
index efa11e189..1c500d5a9 100644
--- a/src/main/java/net/minecraft/core/entity/Mob.java
+++ b/src/main/java/net/minecraft/core/entity/Mob.java
@@ -3,6 +3,7 @@ package net.minecraft.core.entity;
 import com.b100.utils.StringUtils;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.Global;
+import net.minecraft.core.item.ItemFood;
 import net.minecraft.core.util.phys.HitResult;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.block.Block;
@@ -14,7 +15,6 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.enums.PlacementMode;
 import net.minecraft.core.item.Items;
-import net.minecraft.core.item.FoodItem;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.util.collection.NamespaceID;
@@ -40,7 +40,7 @@ public abstract class Mob extends Entity
 {
     public static final int DATA_VARIANT = 1;
     public static final int DATA_HEALTH = 2;
-    protected Map<FoodItem, ConsumedFood> consumedFood = new HashMap<FoodItem, ConsumedFood>();
+    protected Map<ItemFood, ConsumedFood> consumedFood = new HashMap<ItemFood, ConsumedFood>();
     public int heartsHalvesLife;
 //    public float timeOffs;
 //    public float rotA;
@@ -308,14 +308,14 @@ public abstract class Mob extends Entity
 
             }
         }
-        List<FoodItem> finishedFood = new ArrayList<>();
-        for (Map.Entry<FoodItem, ConsumedFood> entry : consumedFood.entrySet()) {
+        List<ItemFood> finishedFood = new ArrayList<>();
+        for (Map.Entry<ItemFood, ConsumedFood> entry : consumedFood.entrySet()) {
             entry.getValue().tick();
             if (entry.getValue().isFinished()) {
                 finishedFood.add(entry.getKey());
             }
         }
-        for (FoodItem food : finishedFood) {
+        for (ItemFood food : finishedFood) {
             consumedFood.remove(food);
         }
         prevRotationUnused = unusedRotation1;
@@ -480,7 +480,7 @@ public abstract class Mob extends Entity
         return totalHealingRemaining;
     }
 
-    public void eatFood(FoodItem food) {
+    public void eatFood(ItemFood food) {
         if (food == null) return;
         if (food.getTicksPerHeal() == 0 || world.getGameRuleValue(GameRules.INSTANT_HEALING)) {
             heal(food.getHealAmount());
diff --git a/src/main/java/net/minecraft/core/entity/FlyingMob.java b/src/main/java/net/minecraft/core/entity/MobFlying.java
similarity index 97%
rename from src/main/java/net/minecraft/core/entity/FlyingMob.java
rename to src/main/java/net/minecraft/core/entity/MobFlying.java
index 908d7bf25..f17358ada 100644
--- a/src/main/java/net/minecraft/core/entity/FlyingMob.java
+++ b/src/main/java/net/minecraft/core/entity/MobFlying.java
@@ -9,10 +9,10 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class FlyingMob extends Mob
+public class MobFlying extends Mob
 {
 
-    public FlyingMob(World world)
+    public MobFlying(World world)
     {
         super(world);
     }
diff --git a/src/main/java/net/minecraft/core/entity/PathfinderMob.java b/src/main/java/net/minecraft/core/entity/MobPathfinder.java
similarity index 97%
rename from src/main/java/net/minecraft/core/entity/PathfinderMob.java
rename to src/main/java/net/minecraft/core/entity/MobPathfinder.java
index a14a3ab55..8c6987f04 100644
--- a/src/main/java/net/minecraft/core/entity/PathfinderMob.java
+++ b/src/main/java/net/minecraft/core/entity/MobPathfinder.java
@@ -4,7 +4,7 @@ package net.minecraft.core.entity;
 //            Mob, World, Entity, AxisAlignedBB,
 //            MathHelper, PathEntity, Vec3D
 
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.phys.Vec3;
@@ -12,7 +12,7 @@ import net.minecraft.core.world.pathfinder.Path;
 import net.minecraft.core.world.World;
 import java.util.List;
 
-public abstract class PathfinderMob extends Mob
+public abstract class MobPathfinder extends Mob
 {
     private static final int MAX_TURN = 30;
     protected Path pathToEntity;
@@ -20,7 +20,7 @@ public abstract class PathfinderMob extends Mob
     protected Entity closestFireflyEntity;
     protected boolean hasAttacked;
 
-    public PathfinderMob(World world)
+    public MobPathfinder(World world)
     {
         super(world);
         hasAttacked = false;
@@ -145,7 +145,7 @@ public abstract class PathfinderMob extends Mob
     }
 
     protected Entity getClosestFireflyToEntity (int x, int y, int z, float radius){
-        List<Entity> nearbyFireflies = world.getEntitiesWithinAABB(FireflyClusterMob.class, AABB.getTemporaryBB(this.x, this.y, this.z, this.x + 1.0D, this.y + 1.0D, this.z + 1.0D).grow(radius, 4D, radius));
+        List<Entity> nearbyFireflies = world.getEntitiesWithinAABB(MobFireflyCluster.class, AABB.getTemporaryBB(this.x, this.y, this.z, this.x + 1.0D, this.y + 1.0D, this.z + 1.0D).grow(radius, 4D, radius));
 
         double closestDistance = -1D;
         Entity cluster = null;
diff --git a/src/main/java/net/minecraft/core/entity/animal/Animal.java b/src/main/java/net/minecraft/core/entity/animal/MobAnimal.java
similarity index 95%
rename from src/main/java/net/minecraft/core/entity/animal/Animal.java
rename to src/main/java/net/minecraft/core/entity/animal/MobAnimal.java
index e9e69ab05..14486242a 100644
--- a/src/main/java/net/minecraft/core/entity/animal/Animal.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobAnimal.java
@@ -6,7 +6,7 @@ package net.minecraft.core.entity.animal;
 //            MathHelper, AxisAlignedBB, NBTTagCompound
 
 import net.minecraft.core.block.tag.BlockTags;
-import net.minecraft.core.entity.PathfinderMob;
+import net.minecraft.core.entity.MobPathfinder;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.MathHelper;
@@ -16,11 +16,11 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.season.Seasons;
 
-public abstract class Animal extends PathfinderMob
+public abstract class MobAnimal extends MobPathfinder
 	implements Creature
 {
 
-    public Animal(World world)
+    public MobAnimal(World world)
     {
         super(world);
         scoreValue = 10;
diff --git a/src/main/java/net/minecraft/core/entity/animal/ChickenMob.java b/src/main/java/net/minecraft/core/entity/animal/MobChicken.java
similarity index 97%
rename from src/main/java/net/minecraft/core/entity/animal/ChickenMob.java
rename to src/main/java/net/minecraft/core/entity/animal/MobChicken.java
index 58338031b..90015196e 100644
--- a/src/main/java/net/minecraft/core/entity/animal/ChickenMob.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobChicken.java
@@ -8,7 +8,7 @@ import net.minecraft.core.item.tag.ItemTags;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 
-public class ChickenMob extends Animal
+public class MobChicken extends MobAnimal
 {
     public float flap;
     public float flapSpeed;
@@ -17,7 +17,7 @@ public class ChickenMob extends Animal
     public float flapping;
     public int eggTimer;
 
-    public ChickenMob(World world)
+    public MobChicken(World world)
     {
         super(world);
         flap = 0.0F;
diff --git a/src/main/java/net/minecraft/core/entity/animal/CowMob.java b/src/main/java/net/minecraft/core/entity/animal/MobCow.java
similarity index 88%
rename from src/main/java/net/minecraft/core/entity/animal/CowMob.java
rename to src/main/java/net/minecraft/core/entity/animal/MobCow.java
index 361b271f8..c002d5394 100644
--- a/src/main/java/net/minecraft/core/entity/animal/CowMob.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobCow.java
@@ -2,23 +2,23 @@ package net.minecraft.core.entity.animal;
 
 
 // Referenced classes of package net.minecraft.src:
-//            Animal, Item, Player, InventoryPlayer,
+//            MobAnimal, Item, Player, InventoryPlayer,
 //            ItemStack, World, NBTTagCompound
 
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Items;
-import net.minecraft.core.item.EmptyBucketItem;
+import net.minecraft.core.item.ItemBucketEmpty;
 import net.minecraft.core.item.ItemStack;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.item.tag.ItemTags;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 
-public class CowMob extends Animal
+public class MobCow extends MobAnimal
 {
 
-    public CowMob(World world)
+    public MobCow(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "cow");
@@ -68,7 +68,7 @@ public class CowMob extends Animal
         ItemStack itemstack = entityplayer.inventory.getCurrentItem();
         if(itemstack != null && itemstack.itemID == Items.BUCKET.id)
         {
-            EmptyBucketItem.useBucket(entityplayer, new ItemStack(Items.BUCKET_MILK));
+            ItemBucketEmpty.useBucket(entityplayer, new ItemStack(Items.BUCKET_MILK));
             return true;
         }
         return super.interact(entityplayer);
diff --git a/src/main/java/net/minecraft/core/entity/animal/FireflyClusterMob.java b/src/main/java/net/minecraft/core/entity/animal/MobFireflyCluster.java
similarity index 97%
rename from src/main/java/net/minecraft/core/entity/animal/FireflyClusterMob.java
rename to src/main/java/net/minecraft/core/entity/animal/MobFireflyCluster.java
index 7bd199314..a86d846ed 100644
--- a/src/main/java/net/minecraft/core/entity/animal/FireflyClusterMob.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobFireflyCluster.java
@@ -4,7 +4,7 @@ import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.FlyingMob;
+import net.minecraft.core.entity.MobFlying;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.util.helper.MathHelper;
@@ -17,7 +17,7 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class FireflyClusterMob extends FlyingMob
+public class MobFireflyCluster extends MobFlying
         implements Creature
 {
 	public static final int DATA_COLOR_ID = 16;
@@ -39,7 +39,7 @@ public class FireflyClusterMob extends FlyingMob
     private int slowUpdateCooldown;
     
     
-    public FireflyClusterMob(World world)
+    public MobFireflyCluster(World world)
     {
         super(world);
         if(world == null || world.isClientSide) {
@@ -369,10 +369,10 @@ public class FireflyClusterMob extends FlyingMob
 		
 		for(int i=0; i < nearbyCount; i++) {
 			Entity entity = nearbyFireflies.get(i);
-			if(entity == this || !(entity instanceof FireflyClusterMob)) {
+			if(entity == this || !(entity instanceof MobFireflyCluster)) {
 				continue;
 			}
-			FireflyClusterMob fireflyCluster = (FireflyClusterMob) entity;
+			MobFireflyCluster fireflyCluster = (MobFireflyCluster) entity;
 			if(fireflyCluster.getColor() != this.getColor()) {
 				continue;
 			}
@@ -390,7 +390,7 @@ public class FireflyClusterMob extends FlyingMob
 		}
 	}
 	
-	private void merge(FireflyClusterMob from, FireflyClusterMob to) {
+	private void merge(MobFireflyCluster from, MobFireflyCluster to) {
 		if(from.getFireflyCount() + to.getFireflyCount() < maxFireflyCountPerCluster) {
 			to.setFireflyCount(to.getFireflyCount() + from.getFireflyCount());
 			from.remove();
diff --git a/src/main/java/net/minecraft/core/entity/animal/PigMob.java b/src/main/java/net/minecraft/core/entity/animal/MobPig.java
similarity index 88%
rename from src/main/java/net/minecraft/core/entity/animal/PigMob.java
rename to src/main/java/net/minecraft/core/entity/animal/MobPig.java
index ddae7d80f..d69980f50 100644
--- a/src/main/java/net/minecraft/core/entity/animal/PigMob.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobPig.java
@@ -2,17 +2,16 @@ package net.minecraft.core.entity.animal;
 
 
 // Referenced classes of package net.minecraft.src:
-//            Animal, DataWatcher, NBTTagCompound, World,
-//            Player, Item, ZombiePigMob, Achievements,
-//            LightningEntity
+//            MobAnimal, DataWatcher, NBTTagCompound, World,
+//            Player, Item, MobZombiePig, Achievements,
+//            EntityLightning
 
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
-import net.minecraft.core.entity.LightningEntity;
-import net.minecraft.core.entity.monster.ZombiePigMob;
+import net.minecraft.core.entity.EntityLightning;
+import net.minecraft.core.entity.monster.MobZombiePig;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
@@ -23,11 +22,11 @@ import net.minecraft.core.world.World;
 import java.util.ArrayList;
 import java.util.List;
 
-public class PigMob extends Animal
+public class MobPig extends MobAnimal
 {
     public static final int DATA_SADDLE_ID = 16;
 
-    public PigMob(World world)
+    public MobPig(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "pig");
@@ -126,10 +125,10 @@ public class PigMob extends Animal
     }
 
     @Override
-	public void thunderHit(LightningEntity bolt)
+	public void thunderHit(EntityLightning bolt)
     {
         if (!world.isClientSide) {
-            ZombiePigMob entitypigzombie = new ZombiePigMob(world);
+            MobZombiePig entitypigzombie = new MobZombiePig(world);
             entitypigzombie.moveTo(x, y, z, yRot, xRot);
             world.entityJoinedWorld(entitypigzombie);
             remove();
